package be.iminds.ilabt.jfed.experimenter_gui.preferences;

import javafx.scene.Node;
import javafx.scene.control.Label;

public interface PreferencesSubPane {
    /** returns false if there is an error in the chosen settings that will prevent a save. */
    boolean check();
    boolean save();
    /** get the pane itself */
    Node getRoot();

    boolean isAdvanced();

    /** get a label that can be used in the list of subsections. */
    Label getListLabel();
}
